Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Get list of Fault

Prev Next
Get
/faults/

Operation is used to get a list of fault.

Fault list can be filtered by giving filtering parameters at HTTP querystring (see parameters).

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Query parameters
offset
integer

Offset to start returning results.

Minimum0
limit
integer

Limit number of results returned. Set to -1 to use maximum limit set in the environment. Default limit will be used if parameter is not specified. Special value -1 is available from product version 3.2.18.

Minimum1
srs
string

Coordinate system used to transform location fields in API responses. This parameter does not apply to locations sent in request query parameters or request bodies.

For locations in requests, use EWKT with SRID. If EWKT is provided without SRID, the system default SRID will be used.

Example: srs=epsg:4326

__any of the object fields__
string

Filters list by selected object field value. Supports structured queries via +__+ delimiter. Supports ending keywords via +__+ delimiter:

  • For string fields: istartswith, startswith, iendswith, endswith, contains, icontains, isnull
  • For numerics: gt, lt, gte, lte, isnull
  • For spatial fields: contains, isnull, within, intersects, disjoint, touches, overlaps, covers, coveredby Examples: +++usage_state__txt__istartswith=in+++ , +++plan__state__txt__startswith=In+++ , +++creation_date__gte=2019-01-02T15:32:01+++, +++location__within=POLYGON ((641503.89 6944059.81, 641406.52 6943933.87, 641369.48 6943772.48, 641474.25 6943704.74, 641873.78 6943735.96, 641848.38 6943975.15, 641607.08 6944167.76, 641653.11 6944102.15, 641503.89 6944059.81))+++ Supports exclusive queries by field value using a not-operator preceding the field lookup: Examples: +++not__type__txt__istartswith=Tie+++ , +++not__id=1390+++
orderby
string

Selects the object field to order the returned objects by. Can be used to sort in reverse order with '-' prefix. Can have several ordering rules separated by comma. Can be used only for object own fields and does not support structured queries. Example: orderby=creator,-creation_date

Responses
200

A result response object.

{
  "Next": "http://example.keypro.fi/keylight_keyuv/api/v2/faults/?limit=10&offset=10",
  "Previous": null,
  "Results": [
    {
      "TaskID": null,
      "address": null,
      "closedBy": null,
      "closedTs": null,
      "createdBy": "example@keypro.fi",
      "createdTs": "2024-12-11T07:55:45.604Z",
      "description": null,
      "faultCategory": {
        "description": "Lamp / fixture",
        "groupname": "TYPE",
        "id": 240,
        "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/TYPE/",
        "name": "TYPE_1_LAMP",
        "numValue": null,
        "orderno": 0,
        "txtValue": null
      },
      "faultId": 321,
      "faultLocation": null,
      "faultLocationDetails": null,
      "networkObjects": [],
      "privateCustomerEmail": null,
      "privateCustomerName": "",
      "privateCustomerPhone": null,
      "reportDate": "2024-12-11T07:55:45.604Z",
      "state": {
        "description": "Open",
        "groupname": "STATUS",
        "id": 235,
        "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/STATUS/",
        "name": "STATUS_OPEN_OPEN",
        "numValue": null,
        "orderno": 0,
        "txtValue": null
      }
    },
    {
      "TaskID": null,
      "address": null,
      "closedBy": null,
      "closedTs": null,
      "createdBy": "example@keypro.fi",
      "createdTs": "2024-12-11T08:19:09.226Z",
      "description": null,
      "faultCategory": {
        "description": "Lamp / fixture",
        "groupname": "TYPE",
        "id": 240,
        "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/TYPE/",
        "name": "TYPE_1_LAMP",
        "numValue": null,
        "orderno": 0,
        "txtValue": null
      },
      "faultId": 373,
      "faultLocation": null,
      "faultLocationDetails": null,
      "networkObjects": [],
      "privateCustomerEmail": null,
      "privateCustomerName": "",
      "privateCustomerPhone": null,
      "reportDate": "2024-12-11T08:19:09.227Z",
      "state": {
        "description": "Open",
        "groupname": "STATUS",
        "id": 235,
        "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/STATUS/",
        "name": "STATUS_OPEN_OPEN",
        "numValue": null,
        "orderno": 0,
        "txtValue": null
      }
    },
    {
      "TaskID": 373,
      "address": null,
      "closedBy": null,
      "closedTs": null,
      "createdBy": "example@keypro.fi",
      "createdTs": "2024-12-11T08:49:43.049Z",
      "description": null,
      "faultCategory": {
        "description": "Lamp / fixture",
        "groupname": "TYPE",
        "id": 240,
        "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/TYPE/",
        "name": "TYPE_1_LAMP",
        "numValue": null,
        "orderno": 0,
        "txtValue": null
      },
      "faultId": 425,
      "faultLocation": "SRID=3067;POINT Z (385725.26254746155 6681967.87279204 0)",
      "faultLocationDetails": null,
      "networkObjects": [
        {
          "ct": 8216,
          "id": 35532090
        }
      ],
      "privateCustomerEmail": "example@keypro.fi",
      "privateCustomerName": " ",
      "privateCustomerPhone": "",
      "reportDate": "2024-12-11T08:49:43.050Z",
      "state": {
        "description": "Open",
        "groupname": "STATUS",
        "id": 235,
        "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/STATUS/",
        "name": "STATUS_OPEN_OPEN",
        "numValue": null,
        "orderno": 0,
        "txtValue": null
      }
    },
    {
      "TaskID": null,
      "address": null,
      "closedBy": null,
      "closedTs": null,
      "createdBy": "example@keypro.fi",
      "createdTs": "2024-12-11T11:39:36.322Z",
      "description": null,
      "faultCategory": {
        "description": "Lamp / fixture",
        "groupname": "TYPE",
        "id": 240,
        "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/TYPE/",
        "name": "TYPE_1_LAMP",
        "numValue": null,
        "orderno": 0,
        "txtValue": null
      },
      "faultId": 477,
      "faultLocation": null,
      "faultLocationDetails": null,
      "networkObjects": [],
      "privateCustomerEmail": null,
      "privateCustomerName": "",
      "privateCustomerPhone": null,
      "reportDate": "2024-12-11T11:39:36.323Z",
      "state": {
        "description": "Open",
        "groupname": "STATUS",
        "id": 235,
        "list_url": "http://example.keypro.fi/api/v2/sattrs/groupname/STATUS/",
        "name": "STATUS_OPEN_OPEN",
        "numValue": null,
        "orderno": 0,
        "txtValue": null
      }
    }
  ],
  "Total": 424
}
Expand All
object
Next
string (url)

Url to next page of Fault list. Null if No next page exist

Previous
string (url)

Url to previous page of Fault list. Null if No previous page exist

Results
Array of object (Fault)

List of fetched Fault

object

Information about Fault

TaskID
integer

Related task ID

address
object (Apartment)
address
object (Address)
buildingId
string

Building id

city
string

Building city name

cityAlt
string

Building city name in alternative language

country
string

Building country

createdBy
string

creator

createdTs
string (date-time)

Creation date and time

district
string

Building district

id
integer

Primary key

location
string (ewkt)

Geographical location

municipality
string

Building municipality

propertyId
string

Property number

province
string

Building province

streetname
string

Building street name

streetnameAlt
string

Building street name in alternative language

streetno
string

Building number

subdivision
string

Building municipality subdivision

updatedBy
string

Last updater

updatedTs
string (date-time)

Last update date time

usagePurpose
object (BuildingUsage)

Building usage purpose

groupname

Group name of constant

Valid values[ "BUILDING_USAGE" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

txt
string

Human readable textual representation

usagePurposeAlt
object (AddressSecondaryUsage)

Address usage purpose

groupname

Group name of constant

Valid values[ "KN_ADDR_SPEC" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

txt
string

Human readable textual representation

zipcode
string

Building zipcode

apartmentDivision
string

apartment division

apartmentLetter
string

apartment letter

apartmentNumber
string

apartment number

id
integer

Primary key

originProperty
string

apartment original property id

originalStreetno
string

apartment original streen number

usagePurpose
object (ApartmentUsage)

Apartment Usage purpose

groupname

Group name of constant

Valid values[ "APARTMENT_USAGE" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

txt
string

Human readable textual representation

usagePurposeAlt
object (AddressSecondaryUsage)

Address usage purpose

groupname

Group name of constant

Valid values[ "KN_ADDR_SPEC" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

txt
string

Human readable textual representation

usageState
object (ApartmentStatus)

Apartment status

groupname

Group name of constant

Valid values[ "APARTMENT_STATUS" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

txt
string

Human readable textual representation

closedBy
string

Fault closed by user

closedTs
string (date-time)

Fault close date time

createdBy
string

Fault created by user

createdTs
string (date-time)

Fault created date time

description
string

Fault description

faultCategory
object (FaultCategory)

Fault Category

groupname

Group name of constant

Valid values[ "TYPE" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all contants from this group

num_value
number (float)

Numeric value

orderNo
integer

Order number

txtValue
string

Human readable textual representation

faultId
integer

Fault primary key

faultLocation
string (ewkt)

Geographical location.

faultLocationDetails
string

Fault location details

networkObjects
Array of object (FaultNetworkObject)

Network objects linked to fault

object

Fault Network Object

fault
object (Fault) Recursive

Information about Fault

network_object_ct
object (ObjectType)
id
integer

Primary key

identifier
string

Object type readable identifier

instanceAPIUrl
string (url)

Object type instances API endpoint URL.

name
string

Object type translated name. Not searchable.

network_object_id
integer

Network object id

privateCustomerEmail
string

Customer email

privateCustomerName
string

Customer name

privateCustomerPhone
string

Customer phone

reportDate
string (date-time)

Fault reported date time

state
object (FaultState)

Fault State

groupname

Group name of constant

Valid values[ "STATUS" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all contants from this group

num_value
number (float)

Numeric value

orderNo
integer

Order number

txtValue
string

Human readable textual representation

Total
integer

Total number of Faults

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error